

#include "BUILTIN.h"

#include "Denotation.h"
extern OBJ _ACom_47(OBJ,OBJ);extern OBJ __ACom_47;

#include "Nat.h"
extern OBJ __ASeq_2;
extern OBJ __ASeq_6;

#include "Char.h"
extern OBJ _AComCompose_5(OBJ,OBJ);extern OBJ __AComCompose_5;
extern OBJ _AOptionMap_3(OBJ,OBJ);extern OBJ __AOptionMap_3;

#include "Array.h"
extern OBJ _ASetConv_3(OBJ,OBJ);extern OBJ __ASetConv_3;

#include "Int.h"
extern OBJ _AArrayReduce_3(OBJ,OBJ,OBJ);extern OBJ __AArrayReduce_3;

#include "UserAndGroup.h"

#define __AUserAndGroup_AgetGroup_L64 __AUserAndGroup_64
#define _AUserAndGroup_AgetGroup_L64 _AUserAndGroup_64
#define AUserAndGroup_64 AUserAndGroup_AgetGroup_L64
extern OBJ __AUserAndGroup_AgetGroup_L64;
extern OBJ _AUserAndGroup_AgetGroup_L64(OBJ);

#define __AUserAndGroup_AgetGroup_O1_L65 __AUserAndGroup_65
#define _AUserAndGroup_AgetGroup_O1_L65 _AUserAndGroup_65
#define AUserAndGroup_65 AUserAndGroup_AgetGroup_O1_L65
extern OBJ __AUserAndGroup_AgetGroup_O1_L65;
extern OBJ _AUserAndGroup_AgetGroup_O1_L65(OBJ);

#define __AUserAndGroup_AgetGroups_L66 __AUserAndGroup_66
#define _AUserAndGroup_AgetGroups_L66 _AUserAndGroup_66
#define AUserAndGroup_66 AUserAndGroup_AgetGroups_L66
extern OBJ __AUserAndGroup_AgetGroups_L66;
extern OBJ _AUserAndGroup_AgetGroups_L66(OBJ);
extern OBJ _AUserAndGroup_Sl(OBJ,OBJ);OBJ __AUserAndGroup_Sl; /* < */
extern OBJ _AUserAndGroup_Se(OBJ,OBJ);OBJ __AUserAndGroup_Se; /* = */
extern OBJ _AUserAndGroup_Sl_O1(OBJ,OBJ);OBJ __AUserAndGroup_Sl_O1; /* <,1 */
extern OBJ _AUserAndGroup_Se_O1(OBJ,OBJ);OBJ __AUserAndGroup_Se_O1; /* =,1 */
extern OBJ _AUserAndGroup_AuserName(OBJ);OBJ __AUserAndGroup_AuserName; /* userName */
extern OBJ _AUserAndGroup_AuserId(OBJ);OBJ __AUserAndGroup_AuserId; /* userId */
extern OBJ _AUserAndGroup_AiGroupId(OBJ);OBJ __AUserAndGroup_AiGroupId; /* iGroupId */
extern OBJ _AUserAndGroup_AhomeDir(OBJ);OBJ __AUserAndGroup_AhomeDir; /* homeDir */
extern OBJ _AUserAndGroup_Ashell(OBJ);OBJ __AUserAndGroup_Ashell; /* shell */
extern OBJ _AUserAndGroup_AgetUser(OBJ);OBJ __AUserAndGroup_AgetUser; /* getUser */
extern OBJ _AUserAndGroup_AgetUser_O1(OBJ);OBJ __AUserAndGroup_AgetUser_O1; /* getUser,1 */
extern OBJ _AUserAndGroup_Sl_O2(OBJ,OBJ);OBJ __AUserAndGroup_Sl_O2; /* <,2 */
extern OBJ _AUserAndGroup_Se_O2(OBJ,OBJ);OBJ __AUserAndGroup_Se_O2; /* =,2 */
extern OBJ _AUserAndGroup_Sl_O3(OBJ,OBJ);OBJ __AUserAndGroup_Sl_O3; /* <,3 */
extern OBJ _AUserAndGroup_Se_O3(OBJ,OBJ);OBJ __AUserAndGroup_Se_O3; /* =,3 */
extern OBJ _AUserAndGroup_AgroupName(OBJ);OBJ __AUserAndGroup_AgroupName; /* groupName */
extern OBJ _AUserAndGroup_AgroupId(OBJ);OBJ __AUserAndGroup_AgroupId; /* groupId */
extern OBJ _AUserAndGroup_AgroupMembers(OBJ);OBJ __AUserAndGroup_AgroupMembers; /* groupMembers */
extern OBJ _AUserAndGroup_AgetGroup(OBJ);OBJ __AUserAndGroup_AgetGroup; /* getGroup */
extern OBJ _AUserAndGroup_AgetGroup_O1(OBJ);OBJ __AUserAndGroup_AgetGroup_O1; /* getGroup,1 */
OBJ __AUserAndGroup_AgetGroups; /* getGroups */
extern OBJ _AUserAndGroup_Ahc_Agroup(OBJ,OBJ,OBJ);OBJ __AUserAndGroup_Ahc_Agroup; /* hc_group */
extern OBJ _AUserAndGroup_Ahc_Agroup_(OBJ);OBJ __AUserAndGroup_Ahc_Agroup_; /* hc_group? */
extern OBJ _AUserAndGroup_AgroupMembers_O1(OBJ);OBJ __AUserAndGroup_AgroupMembers_O1; /* groupMembers,1 */
extern OBJ _AUserAndGroup_AgroupId_O1(OBJ);OBJ __AUserAndGroup_AgroupId_O1; /* groupId,1 */
extern OBJ _AUserAndGroup_AgroupName_O1(OBJ);OBJ __AUserAndGroup_AgroupName_O1; /* groupName,1 */
extern OBJ _AUserAndGroup_Agroup(OBJ,OBJ,OBJ);OBJ __AUserAndGroup_Agroup; /* group */
extern OBJ _AUserAndGroup_Agroup_(OBJ);OBJ __AUserAndGroup_Agroup_; /* group? */
extern OBJ _AUserAndGroup_Auser(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AUserAndGroup_Auser; /* user */
extern OBJ _AUserAndGroup_Auser_(OBJ);OBJ __AUserAndGroup_Auser_; /* user? */
extern OBJ _AUserAndGroup_AconvertGroup(OBJ);OBJ __AUserAndGroup_AconvertGroup; /* convertGroup */
extern OBJ _AUserAndGroup_Ahc_Agetpwuid(OBJ,OBJ);OBJ __AUserAndGroup_Ahc_Agetpwuid; /* hc_getpwuid */
extern OBJ _AUserAndGroup_Ahc_Agetpwnam(OBJ,OBJ);OBJ __AUserAndGroup_Ahc_Agetpwnam; /* hc_getpwnam */
extern OBJ _AUserAndGroup_Ahc_Agetgrgid(OBJ,OBJ);OBJ __AUserAndGroup_Ahc_Agetgrgid; /* hc_getgrgid */
extern OBJ _AUserAndGroup_Ahc_Agetgrnam(OBJ,OBJ);OBJ __AUserAndGroup_Ahc_Agetgrnam; /* hc_getgrnam */
extern OBJ _AUserAndGroup_Ahc_Agetgroups(OBJ);OBJ __AUserAndGroup_Ahc_Agetgroups; /* hc_getgroups */
extern OBJ _AUserAndGroup_AconvertGroup_L63(OBJ);OBJ __AUserAndGroup_AconvertGroup_L63; /* convertGroup'63 */
extern OBJ _AUserAndGroup_AgetGroup_L64(OBJ);OBJ __AUserAndGroup_AgetGroup_L64; /* getGroup'64 */
extern OBJ _AUserAndGroup_AgetGroup_O1_L65(OBJ);OBJ __AUserAndGroup_AgetGroup_O1_L65; /* getGroup,1'65 */
extern OBJ _AUserAndGroup_AgetGroups_L66(OBJ);OBJ __AUserAndGroup_AgetGroups_L66; /* getGroups'66 */

#include "UserAndGroup.hc.c"

extern OBJ _AUserAndGroup_Sl_O1(OBJ x1,OBJ x2) /* <,1 */
{OBJ r;
 {OBJ x16=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x16,1);
   FRPRD(x1,1);}
  {OBJ x21=FLD1(x2,2);
   if(EXPRD(x2,1)){
    FLD1(x2,2)=NIL;DSPRD(x2);
   }else{
    COPY(x21,1);
    FRPRD(x2,1);}
   {OBJ x25;
    x25=x21;
    AUserAndGroup_Sl(x16,x25,r);}}}
 return r;}

extern OBJ _AUserAndGroup_Se_O1(OBJ x1,OBJ x2) /* =,1 */
{OBJ r;
 {OBJ x16=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x16,1);
   FRPRD(x1,1);}
  {OBJ x21=FLD1(x2,2);
   if(EXPRD(x2,1)){
    FLD1(x2,2)=NIL;DSPRD(x2);
   }else{
    COPY(x21,1);
    FRPRD(x2,1);}
   {OBJ x25;
    x25=x21;
    AUserAndGroup_Se(x16,x25,r);}}}
 return r;}

extern OBJ _AUserAndGroup_AuserName(OBJ x1) /* userName */
{OBJ r;
 {OBJ x2=FLD1(x1,1);
  if(EXPRD(x1,1)){
   r=x2;
   FLD1(x1,1)=NIL;DSPRD(x1);
  }else{
   CPPRD(x2,1);
   r=x2;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _AUserAndGroup_AuserId(OBJ x1) /* userId */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   r=x3;
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   r=x3;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _AUserAndGroup_AiGroupId(OBJ x1) /* iGroupId */
{OBJ r;
 {OBJ x4=FLD1(x1,3);
  if(EXPRD(x1,1)){
   r=x4;
   FLD1(x1,3)=NIL;DSPRD(x1);
  }else{
   COPY(x4,1);
   r=x4;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _AUserAndGroup_AhomeDir(OBJ x1) /* homeDir */
{OBJ r;
 {OBJ x5=FLD1(x1,4);
  if(EXPRD(x1,1)){
   r=x5;
   FLD1(x1,4)=NIL;DSPRD(x1);
  }else{
   CPPRD(x5,1);
   r=x5;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _AUserAndGroup_Ashell(OBJ x1) /* shell */
{OBJ r;
 {OBJ x6=FLD1(x1,5);
  if(EXPRD(x1,1)){
   r=x6;
   FLD1(x1,5)=NIL;DSPRD(x1);
  }else{
   CPPRD(x6,1);
   r=x6;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _AUserAndGroup_AgetUser(OBJ x1) /* getUser */
{OBJ r;
 CPCLS(__AUserAndGroup_Ahc_Agetpwuid,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AUserAndGroup_Ahc_Agetpwuid,1))(__AUserAndGroup_Ahc_Agetpwuid,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AUserAndGroup_AgetUser_O1(OBJ x1) /* getUser,1 */
{OBJ r;
 CPCLS(__AUserAndGroup_Ahc_Agetpwnam,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AUserAndGroup_Ahc_Agetpwnam,1))(__AUserAndGroup_Ahc_Agetpwnam,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AUserAndGroup_Sl_O3(OBJ x1,OBJ x2) /* <,3 */
{OBJ r;
 {OBJ x12=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x12,1);
   FRPRD(x1,1);}
  {OBJ x15=FLD1(x2,2);
   if(EXPRD(x2,1)){
    FLD1(x2,2)=NIL;DSPRD(x2);
   }else{
    COPY(x15,1);
    FRPRD(x2,1);}
   {OBJ x17;
    x17=x15;
    AUserAndGroup_Sl_O2(x12,x17,r);}}}
 return r;}

extern OBJ _AUserAndGroup_Se_O3(OBJ x1,OBJ x2) /* =,3 */
{OBJ r;
 {OBJ x12=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x12,1);
   FRPRD(x1,1);}
  {OBJ x15=FLD1(x2,2);
   if(EXPRD(x2,1)){
    FLD1(x2,2)=NIL;DSPRD(x2);
   }else{
    COPY(x15,1);
    FRPRD(x2,1);}
   {OBJ x17;
    x17=x15;
    AUserAndGroup_Se_O2(x12,x17,r);}}}
 return r;}

extern OBJ _AUserAndGroup_AgroupName(OBJ x1) /* groupName */
{OBJ r;
 {OBJ x2=FLD1(x1,1);
  if(EXPRD(x1,1)){
   r=x2;
   FLD1(x1,1)=NIL;DSPRD(x1);
  }else{
   CPPRD(x2,1);
   r=x2;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _AUserAndGroup_AgroupId(OBJ x1) /* groupId */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   r=x3;
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   r=x3;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _AUserAndGroup_AgroupMembers(OBJ x1) /* groupMembers */
{OBJ r;
 {OBJ x4=FLD1(x1,3);
  if(EXPRD(x1,1)){
   r=x4;
   FLD1(x1,3)=NIL;DSPRD(x1);
  }else{
   COPY(x4,1);
   r=x4;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _AUserAndGroup_AgetGroup(OBJ x1) /* getGroup */
{OBJ r;
 CPCLS(__AUserAndGroup_Ahc_Agetgrgid,1);
 CPCLS(__AUserAndGroup_AgetGroup_L64,1);
 {OBJ x2;OBJ x3;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AUserAndGroup_Ahc_Agetgrgid,1))(__AUserAndGroup_Ahc_Agetgrgid,x1);
  PRD(2,0,x3);FLD(x3,1)=x2;FLD(x3,2)=__ASeq_6;
  r=_AComCompose_5(x3,__AUserAndGroup_AgetGroup_L64);}
 return r;}

extern OBJ _AUserAndGroup_AgetGroup_O1(OBJ x1) /* getGroup,1 */
{OBJ r;
 CPCLS(__AUserAndGroup_Ahc_Agetgrnam,1);
 CPCLS(__AUserAndGroup_AgetGroup_O1_L65,1);
 {OBJ x2;OBJ x3;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AUserAndGroup_Ahc_Agetgrnam,1))(__AUserAndGroup_Ahc_Agetgrnam,x1);
  PRD(2,0,x3);FLD(x3,1)=x2;FLD(x3,2)=__ASeq_6;
  r=_AComCompose_5(x3,__AUserAndGroup_AgetGroup_O1_L65);}
 return r;}

extern OBJ _AUserAndGroup_Ahc_Agroup(OBJ x1,OBJ x2,OBJ x3) /* hc_group */
{OBJ r;
 PRD1(3,r);FLD1(r,1)=x1;FLD1(r,2)=x2;FLD1(r,3)=x3;
 return r;}

extern OBJ _AUserAndGroup_Ahc_Agroup_(OBJ x1) /* hc_group? */
{OBJ r;
 FRPRD(x1,1);
 r=__ABUILTIN_5;
 return r;}

extern OBJ _AUserAndGroup_AgroupMembers_O1(OBJ x1) /* groupMembers,1 */
{OBJ r;
 {OBJ x4=FLD1(x1,3);
  if(EXPRD(x1,1)){
   r=x4;
   FLD1(x1,3)=NIL;DSPRD(x1);
  }else{
   CPPRD(x4,1);
   r=x4;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _AUserAndGroup_AgroupId_O1(OBJ x1) /* groupId,1 */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   r=x3;
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   r=x3;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _AUserAndGroup_AgroupName_O1(OBJ x1) /* groupName,1 */
{OBJ r;
 {OBJ x2=FLD1(x1,1);
  if(EXPRD(x1,1)){
   r=x2;
   FLD1(x1,1)=NIL;DSPRD(x1);
  }else{
   CPPRD(x2,1);
   r=x2;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _AUserAndGroup_Agroup(OBJ x1,OBJ x2,OBJ x3) /* group */
{OBJ r;
 PRD1(3,r);FLD1(r,1)=x1;FLD1(r,2)=x2;FLD1(r,3)=x3;
 return r;}

extern OBJ _AUserAndGroup_Agroup_(OBJ x1) /* group? */
{OBJ r;
 FRPRD(x1,1);
 r=__ABUILTIN_5;
 return r;}

extern OBJ _AUserAndGroup_Auser(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* user */
{OBJ r;
 PRD1(5,r);FLD1(r,1)=x1;FLD1(r,2)=x2;FLD1(r,3)=x3;FLD1(r,4)=x4;FLD1(r,5)=x5;
 return r;}

extern OBJ _AUserAndGroup_Auser_(OBJ x1) /* user? */
{OBJ r;
 FRPRD(x1,1);
 r=__ABUILTIN_5;
 return r;}

extern OBJ _AUserAndGroup_AconvertGroup(OBJ x1) /* convertGroup */
{OBJ r;
 CPCLS(__AUserAndGroup_AconvertGroup_L63,1);
 r=_AOptionMap_3(__AUserAndGroup_AconvertGroup_L63,x1);
 return r;}

extern OBJ _AUserAndGroup_AconvertGroup_L63(OBJ x1) /* convertGroup'63 */
{OBJ r;
 {OBJ x16;OBJ x17;OBJ x18=FLD1(x1,3);
  if(EXPRD(x1,1)){
   CPCLS(__ADenotation_17,1);
   CPPRD(__ASeq_2,1);
   {OBJ x19;
    x19=_AArrayReduce_3(__ASeq_2,__ASeq_6,x18);
    RSOME(x1,r);
    FLD1(r,3)=_ASetConv_3(__ADenotation_17,x19);}
  }else{
   x16=FLD1(x1,1);x17=FLD1(x1,2);CPPRD(x16,1);COPY(x17,1);CPPRD(x18,1);
   CPCLS(__ADenotation_17,1);
   CPPRD(__ASeq_2,1);
   {OBJ x19;
    x19=_AArrayReduce_3(__ASeq_2,__ASeq_6,x18);
    FRPRD(x1,1);PRD1(3,r);FLD1(r,1)=x16;FLD1(r,2)=x17;
    FLD1(r,3)=_ASetConv_3(__ADenotation_17,x19);}}}
 return r;}

extern OBJ _AUserAndGroup_AgetGroup_L64(OBJ x1) /* getGroup'64 */
{OBJ r;
 CPCLS(__AUserAndGroup_AconvertGroup_L63,1);
 CPCLS(__ACom_47,1);
 {OBJ x2;OBJ x3;OBJ x4;
  x2=_AOptionMap_3(__AUserAndGroup_AconvertGroup_L63,x1);
  PRD(1,0,x3);FLD(x3,1)=x2;
  x4=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x3);
  PRD(2,0,r);FLD(r,1)=x4;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AUserAndGroup_AgetGroup_O1_L65(OBJ x1) /* getGroup,1'65 */
{OBJ r;
 CPCLS(__AUserAndGroup_AconvertGroup_L63,1);
 CPCLS(__ACom_47,1);
 {OBJ x2;OBJ x3;OBJ x4;
  x2=_AOptionMap_3(__AUserAndGroup_AconvertGroup_L63,x1);
  PRD(1,0,x3);FLD(x3,1)=x2;
  x4=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x3);
  PRD(2,0,r);FLD(r,1)=x4;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AUserAndGroup_AgetGroups_L66(OBJ x1) /* getGroups'66 */
{OBJ r;
 CPCLS(__AUserAndGroup_Sl_O2,1);
 CPCLS(__ACom_47,1);
 CPPRD(__ASeq_2,1);
 {OBJ x2;OBJ x3;OBJ x4;OBJ x5;
  x2=_AArrayReduce_3(__ASeq_2,__ASeq_6,x1);
  x3=_ASetConv_3(__AUserAndGroup_Sl_O2,x2);
  PRD(1,0,x4);FLD(x4,1)=x3;
  x5=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x4);
  PRD(2,0,r);FLD(r,1)=x5;FLD(r,2)=__ASeq_6;}
 return r;}

static void ___AUserAndGroup_25()
{
 /* __AUserAndGroup_AgetGroups */
 CPCLS(__AUserAndGroup_Ahc_Agetgroups,1);
 CPCLS(__AUserAndGroup_AgetGroups_L66,1);
 {OBJ x1;
  PRD(2,0,x1);FLD(x1,1)=__AUserAndGroup_Ahc_Agetgroups;FLD(x1,2)=__ASeq_6;
  __AUserAndGroup_AgetGroups=_AComCompose_5(x1,__AUserAndGroup_AgetGroups_L66);}}

init_AUserAndGroup()
{
 static int visited=0; if(visited) return; visited=1;
 init_ADenotation();
 init_AOption();
 init_ASet();
 init_ACom();
 init_ANat();
 init_AVoid();
 init_ASeq();
 init_AChar();
 init_AComCompose();
 init_AOptionMap();
 init_AArray();
 init_AArrayConv();
 init_ASetConv();
 init_AUnixFailures();
 init_AString();
 init_AInt();
 init_ASeqMap();
 init_AArrayReduce();
 init_ASeqConv();
 init_AEQUALITY();
 CLS(1,_AUserAndGroup_63,__AUserAndGroup_63);
 CLS(1,_AUserAndGroup_31,__AUserAndGroup_31);
 CLS(1,_AUserAndGroup_30,__AUserAndGroup_30);
 CLS(1,_AUserAndGroup_62,__AUserAndGroup_62);
 CLS(1,_AUserAndGroup_29,__AUserAndGroup_29);
 CLS(2,_AUserAndGroup_61,__AUserAndGroup_61);
 CLS(1,_AUserAndGroup_28,__AUserAndGroup_28);
 CLS(2,_AUserAndGroup_60,__AUserAndGroup_60);
 CLS(3,_AUserAndGroup_27,__AUserAndGroup_27);
 CLS(2,_AUserAndGroup_59,__AUserAndGroup_59);
 CLS(2,_AUserAndGroup_58,__AUserAndGroup_58);
 CLS(1,_AUserAndGroup_57,__AUserAndGroup_57);
 CLS(1,_AUserAndGroup_24,__AUserAndGroup_24);
 CLS(1,_AUserAndGroup_23,__AUserAndGroup_23);
 CLS(1,_AUserAndGroup_22,__AUserAndGroup_22);
 CLS(1,_AUserAndGroup_21,__AUserAndGroup_21);
 CLS(1,_AUserAndGroup_20,__AUserAndGroup_20);
 CLS(2,_AUserAndGroup_19,__AUserAndGroup_19);
 CLS(2,_AUserAndGroup_18,__AUserAndGroup_18);
 CLS(2,_AUserAndGroup_16,__AUserAndGroup_16);
 CLS(2,_AUserAndGroup_15,__AUserAndGroup_15);
 CLS(1,_AUserAndGroup_13,__AUserAndGroup_13);
 CLS(1,_AUserAndGroup_12,__AUserAndGroup_12);
 CLS(1,_AUserAndGroup_11,__AUserAndGroup_11);
 CLS(1,_AUserAndGroup_10,__AUserAndGroup_10);
 CLS(1,_AUserAndGroup_9,__AUserAndGroup_9);
 CLS(1,_AUserAndGroup_8,__AUserAndGroup_8);
 CLS(1,_AUserAndGroup_7,__AUserAndGroup_7);
 CLS(1,_AUserAndGroup_38,__AUserAndGroup_38);
 CLS(2,_AUserAndGroup_6,__AUserAndGroup_6);
 CLS(5,_AUserAndGroup_37,__AUserAndGroup_37);
 CLS(2,_AUserAndGroup_5,__AUserAndGroup_5);
 CLS(2,_AUserAndGroup_3,__AUserAndGroup_3);
 CLS(1,_AUserAndGroup_66,__AUserAndGroup_66);
 CLS(2,_AUserAndGroup_2,__AUserAndGroup_2);
 CLS(1,_AUserAndGroup_65,__AUserAndGroup_65);
 CLS(1,_AUserAndGroup_33,__AUserAndGroup_33);
 CLS(1,_AUserAndGroup_64,__AUserAndGroup_64);
 CLS(3,_AUserAndGroup_32,__AUserAndGroup_32);
 init_const_AUserAndGroup();
 ___AUserAndGroup_25();}

